#
# Conditional build:
%bcond_with	tests	# unit tests
#
%define	pdir	MRO
%define	pnam	Compat
Summary:	MRO::Compat - mro::* interface compatibility for Perls < 5.9.5
Summary(pl.UTF-8):	MRO::Compat - moduł dla kompatybilności z interfejsem mro::* dla Perla < 5.9.5
Name:		perl-MRO-Compat
Version:	0.15
Release:	1%{?tld}
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	https://www.cpan.org/modules/by-authors/id/H/HA/HAARG/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f644dafe901214cedfa7ed8b43b56df1
URL:		https://metacpan.org/dist/MRO-Compat
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl-Class-C3 >= 0.24
BuildRequires:	perl-Test-Simple >= 0.47
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The "mro" namespace provides several utilities for dealing with method
resolution order and method caching in general in Perl 5.9.5 and
higher.

This module provides those interfaces for earlier versions of Perl
(back to 5.6.0 anyways).

%description -l pl.UTF-8
Przestrzeń nazw "mro" zapewnia niektórym narzędziom możliwość obsługi
kolejności rozwiązywania metod i ogólnie pamięci podręcznej metod w
wersji Perla 5.9.5 i wyższych.

Ten moduł udostępnia te interfejsy dla wcześniejszych wersji Perla
(począwszy od 5.6.0).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%dir %{perl_vendorlib}/MRO
%{perl_vendorlib}/MRO/Compat.pm
%{_mandir}/man3/MRO::Compat.3pm*
%changelog
* Mon Apr 01 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-MRO-Compat.git;a=log;h=master

* Thu Sep 07 2023 Jakub Bogusz <qboosh@pld-linux.org> 84d8b90
- updated to 0.15

* Sun May 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 2bda2a0
- updated to 0.13

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> e1161a6
- drop obsolete and outdated manual inclusion of rpm macros

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 2f852ac
- updated to 0.12
- dropped autodeps bcond

* Tue Feb 22 2011 Jakub Bogusz <qboosh@pld-linux.org> 557071d
- updated BRs

* Mon Jun 15 2009 amateja <amateja@pld-linux.org> 7ac07f5
- updated to 0.11

* Sun Jul 20 2008 Jakub Bogusz <qboosh@pld-linux.org> a90c8de
- updated to 0.09

* Thu May 01 2008 radek <radek@pld-linux.org> b0737b4
- version 0.05

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> c30f66b
- pl

* Sun Sep 09 2007 radek <radek@pld-linux.org> 1ecfde8
- new

